#!/usr/bin/perl

#Please enter the names of the print queues you wish to monitor in
# between the () below.  Use commas to separate the entries, like
# in the example

my @printers = (HP, dup, quad, CHP, c_dup, c_quad, Optra);

#Please enter the name and port number of your CUPS server
# in the quotes below.

my $cups = "papyrus:631";


#---You should not need to edit anything below this line---

foreach $name(@printers) {
	@queue = `lpq -P $name`;
	$status = shift @queue;
	print "$name\n";
        if ( ($status eq "$name is ready\n") or ($status eq "$name is ready and printing\n") ) {
                print "pics/green_light.png\n";
        }else{
                print "pics/red_light.png\n";
        }
	$jobs = shift @queue;
	if ("$jobs" eq "no entries\n") {
		$num = "0";
		print "$num\n";
	}else{
		$num = "0";
		while (@queue) {
			shift @queue;
			$num += 1;
		}
		print "$num\n";
	}
        print "http://$cups/printers/$name\n";
}
